Groovy 1.7.0

## groovy.lang
Class ReadOnlyPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException
                          groovy.lang.ReadOnlyPropertyException

    class ReadOnlyPropertyException
    extends MissingPropertyException

This exception is thrown if an attempt is made to set a read only property

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`ReadOnlyPropertyException(String property, Class type)`

Method Summary

Methods inherited from class MissingPropertyException
getMessageWithoutLocationText, getProperty, getType

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ReadOnlyPropertyException

    public ReadOnlyPropertyException(String property, Class type)

Copyright © 2003-2009 The Codehaus. All rights reserved.